commit: 2fa43f10a72d5439635220dcf9a10a0de635c75f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 21 11:53:01 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 21 13:35:01 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2fa43f10
dev-python/django_polymorphic: Bump to 3.0.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/django_polymorphic/Manifest | 1 +
.../django_polymorphic-3.0.0.ebuild | 35 ++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-python/django_polymorphic/Manifest
b/dev-python/django_polymorphic/Manifest
index 05724214938..32c9ea43c1a 100644
--- a/dev-python/django_polymorphic/Manifest
+++ b/dev-python/django_polymorphic/Manifest
@@ -1 +1,2 @@
DIST django_polymorphic-2.1.2.tar.gz 103555 BLAKE2B
b55764e4b2d48bd33fc9b62852c048981a80480bd5cd4603dc37cc5b8ee54a5e2558c99c11b3588910e577a1b28dd979ca82df49f788579c91129402be2abf73
SHA512
f23f3bbfd3e8a072804d374d5c7fa8f5ceb596463942795be303a2a349b1804e66adee445602ae263ec0b71894d9ad4a6712bad19c70320a6f87e07e97dbffef
+DIST django_polymorphic-3.0.0.tar.gz 103298 BLAKE2B
f68e53de329a8b922fdf8b6daa212422cca8a0dcb31407e4423e8245fe4200c3d2986ca1c9b46013fcc3ae42cedd9fff006db64ca068f8ebff1e19dca2b45aa1
SHA512
7c7030a622d265db2a6d67c327df3044c6598d36ba9d6433f27171f9c07b34dad7a466372e0f7baefc9d2c344b96a2ff9aa28add1fa131c3869d61e4a4c46222
diff --git a/dev-python/django_polymorphic/django_polymorphic-3.0.0.ebuild
b/dev-python/django_polymorphic/django_polymorphic-3.0.0.ebuild
new file mode 100644
index 00000000000..db4810c125f
--- /dev/null
+++ b/dev-python/django_polymorphic/django_polymorphic-3.0.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Seamless Polymorphic Inheritance for Django Models"
+HOMEPAGE="https://pypi.org/project/django-polymorphic/"
+SRC_URI="https://github.com/django-polymorphic/django-polymorphic/archive/${PV}.tar.gz
-> ${P}.tar.gz"
+S="${WORKDIR}/${P//_/-}"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-2.1[$PYTHON_USEDEP]
+"
+
+DEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/dj-database-url[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" runtests.py || die "Tests fail with ${EPYTHON}"
+}